org.codehaus.plexus

## Class DuplicateChildContainerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.PlexusContainerException
      - - org.codehaus.plexus.DuplicateChildContainerException

All Implemented Interfaces:
  java.io.Serializable

    public class DuplicateChildContainerException
    extends PlexusContainerException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DuplicateChildContainerException(java.lang.String parent, java.lang.String child)`

### Method Summary

Methods
`java.lang.String` `getChild()`
`java.lang.String` `getParent()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DuplicateChildContainerException

    public DuplicateChildContainerException(java.lang.String parent,
                                    java.lang.String child)

### Method Detail

#### getParent

    public java.lang.String getParent()

#### getChild

    public java.lang.String getChild()